### Method

# Gimp Image metadata_save_finish

#### Declaration [src]

    gboolean
    gimp_image_metadata_save_finish (
      GimpImage* image,
      const gchar* mime_type,
      GimpMetadata* metadata,
      GimpMetadataSaveFlags flags,
      GFile* file,
      GError** error
    )

#### Description [src]

Saves the `metadata` retrieved from the image with `gimp_image_metadata_save_prepare()` to `file`, taking into account the passed `flags`.

Note that the `image` passed to this function might be different from the image passed to gimp_image_metadata_save_prepare(), due to whatever file export conversion happened in the meantime.

Available since: | 2.10

#### Parameters

`mime_type` | `const gchar*`
| The saved file’s mime-type.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`metadata` | `GimpMetadata`
| The metadata to write to `file`.
| The data is owned by the caller of the function.
`flags` | `GimpMetadataSaveFlags`
| Flags to specify what of the metadata to save.
`file` | `GFile`
| The file `image` was saved to.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the save was successful.